VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2220
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   2220
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdInputSplit 
      Caption         =   "Input/Split"
      Height          =   375
      Left            =   3000
      TabIndex        =   8
      Top             =   960
      Width           =   1215
   End
   Begin VB.TextBox txtLines 
      Height          =   285
      Left            =   600
      TabIndex        =   6
      Text            =   "10000"
      Top             =   480
      Width           =   735
   End
   Begin VB.CommandButton cmdInputFunction 
      Caption         =   "Input Function"
      Height          =   375
      Left            =   1560
      TabIndex        =   3
      Top             =   960
      Width           =   1215
   End
   Begin VB.CommandButton cmdInput 
      Caption         =   "Input #"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   960
      Width           =   1215
   End
   Begin VB.TextBox txtFile 
      Height          =   285
      Left            =   600
      TabIndex        =   1
      Text            =   "Text1"
      Top             =   120
      Width           =   3975
   End
   Begin VB.Label lblInputSplit 
      Alignment       =   2  'Center
      Height          =   255
      Left            =   3000
      TabIndex        =   9
      Top             =   1440
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "Lines"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   7
      Top             =   480
      Width           =   375
   End
   Begin VB.Label lblInputFunction 
      Alignment       =   2  'Center
      Height          =   255
      Left            =   1560
      TabIndex        =   5
      Top             =   1440
      Width           =   1215
   End
   Begin VB.Label lblInput 
      Alignment       =   2  'Center
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   1440
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "File"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   375
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Load using the Input # statement.
Private Sub cmdInput_Click()
Dim fnum As Integer
Dim num_lines As Long
Dim the_array() As Integer
Dim i As Long
Dim start_time As Single
Dim stop_time As Single

    Screen.MousePointer = vbHourglass
    DoEvents

    num_lines = CLng(txtLines.Text)
    ReDim the_array(1 To num_lines, 1 To 3)

    fnum = FreeFile

    start_time = Timer
    Open txtFile.Text For Input As fnum
    i = 1
    Do While Not EOF(fnum)
        Input #fnum, the_array(i, 1), the_array(i, 2), the_array(i, 3)
        i = i + 1
    Loop
    Close #fnum
    stop_time = Timer

    lblInput.Caption = Format$(stop_time - start_time, "0.00") & " sec"
    Screen.MousePointer = vbDefault
End Sub

' Load using the Input function.
Private Sub cmdInputFunction_Click()
Dim fnum As Integer
Dim num_lines As Long
Dim all_lines As String
Dim the_array() As Integer
Dim i As Long
Dim start_time As Single
Dim stop_time As Single
Dim next_line As String
Dim next_number As String
Dim pos1 As Long
Dim pos2 As Long
Dim pos3 As Long
Dim pos4 As Long

    Screen.MousePointer = vbHourglass
    DoEvents

    num_lines = CLng(txtLines.Text)
    ReDim the_array(1 To num_lines, 1 To 3)

    fnum = FreeFile

    start_time = Timer

    ' Grab the file contents.
    Open txtFile.Text For Input As fnum
    all_lines = Input(LOF(fnum), #fnum)
    Close #fnum

    ' Parse out the numbers.
    pos1 = 1
    For i = 1 To num_lines
        ' Find the next line.
        pos2 = InStr(pos1, all_lines, vbCrLf)
        next_line = Mid$(all_lines, pos1, pos2 - pos1)

        ' Get the numbers.
        pos3 = 1
        pos4 = InStr(pos3, next_line, ",")
        next_number = Mid$(next_line, pos3, pos4 - pos3)
        the_array(i, 1) = CInt(next_number)
        pos3 = pos4 + 1

        pos4 = InStr(pos3, next_line, ",")
        next_number = Mid$(next_line, pos3, pos4 - pos3)
        the_array(i, 2) = CInt(next_number)

        next_number = Mid$(next_line, pos4 + 1)
        the_array(i, 3) = CInt(next_number)

        pos1 = pos2 + 2
    Next i
    stop_time = Timer

    lblInputFunction.Caption = Format$(stop_time - start_time, "0.00") & " sec"
    Screen.MousePointer = vbDefault
End Sub

Private Sub cmdInputSplit_Click()
Dim fnum As Integer
Dim num_lines As Long
Dim all_lines As String
Dim lines As Variant
Dim numbers As Variant
Dim the_array() As Integer
Dim i As Long
Dim j As Long
Dim start_time As Single
Dim stop_time As Single

    Screen.MousePointer = vbHourglass
    DoEvents

    num_lines = CLng(txtLines.Text)
    ReDim the_array(1 To num_lines, 1 To 3)

    fnum = FreeFile

    start_time = Timer

    ' Grab the file contents.
    Open txtFile.Text For Input As fnum
    all_lines = Input(LOF(fnum), #fnum)
    Close #fnum

    ' Parse out the numbers.
    lines = Split(all_lines, vbCrLf)
    For i = 0 To num_lines - 1
        ' Get the numbers.
        numbers = Split(lines(i), ",")
        For j = 0 To 2
            the_array(i + 1, j + 1) = numbers(j)
        Next j
    Next i
    stop_time = Timer

    lblInputSplit.Caption = Format$(stop_time - start_time, "0.00") & " sec"
    Screen.MousePointer = vbDefault
End Sub


Private Sub Form_Load()
Dim file_name As String

    file_name = App.Path
    If Right$(file_name, 1) <> "\" Then file_name = file_name & "\"

    txtFile.Text = file_name & "numbers.txt"
End Sub


